<?php
/**
 * NameplateTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CatalogCacheClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Catalog Cache
 *
 * Ensi Catalog Cache
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\CatalogCacheClient;

use PHPUnit\Framework\TestCase;

/**
 * NameplateTest Class Doc Comment
 *
 * @category    Class
 * @description Nameplate
 * @package     Ensi\CatalogCacheClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class NameplateTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "Nameplate"
     */
    public function testNameplate()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "nameplate_id"
     */
    public function testPropertyNameplateId()
    {
    }

    /**
     * Test attribute "name"
     */
    public function testPropertyName()
    {
    }

    /**
     * Test attribute "code"
     */
    public function testPropertyCode()
    {
    }

    /**
     * Test attribute "background_color"
     */
    public function testPropertyBackgroundColor()
    {
    }

    /**
     * Test attribute "text_color"
     */
    public function testPropertyTextColor()
    {
    }

    /**
     * Test attribute "is_active"
     */
    public function testPropertyIsActive()
    {
    }

    /**
     * Test attribute "product_links"
     */
    public function testPropertyProductLinks()
    {
    }

    /**
     * Test attribute "is_migrated"
     */
    public function testPropertyIsMigrated()
    {
    }

    /**
     * Test attribute "created_at"
     */
    public function testPropertyCreatedAt()
    {
    }

    /**
     * Test attribute "updated_at"
     */
    public function testPropertyUpdatedAt()
    {
    }
}
